Module org.wildfly.plugin.core
Package org.wildfly.plugin.core

## Class MavenJBossLogger

- java.lang.Object
- - org.jboss.logging.Logger
  - - org.wildfly.plugin.core.MavenJBossLogger

- All Implemented Interfaces:
    `Serializable`, `org.jboss.logging.BasicLogger`

      public class MavenJBossLogger
      extends org.jboss.logging.Logger

  A logger which delegates to a `Log`.

  For `isEnabled(Level)` `Logger.Level.TRACE` is ignored and `Logger.Level.FATAL` is treated as an `error`.

  For the log methods, `Logger.Level.TRACE` is treated as a `debug` and `Logger.Level.FATAL` is treated as `error`.

  Author:
    James R. Perkins
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.logging.Logger

      `org.jboss.logging.Logger.Level`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MavenJBossLogger​(org.apache.maven.plugin.logging.Log mavenLogger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEnabled​(org.jboss.logging.Logger.Level level)` |

    - ### Methods inherited from class org.jboss.logging.Logger

      `debug, debug, debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, getLogger, getLogger, getLogger, getLogger, getMessageLogger, getMessageLogger, getName, info, info, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenJBossLogger

          public MavenJBossLogger​(org.apache.maven.plugin.logging.Log mavenLogger)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled​(org.jboss.logging.Logger.Level level)